#32/64
Name:		knowthelist
Version:	2.3.0
Release:	%mkrel 1
Summary:	An awesome party music player
License:	LGPLv3+
Group:		Sound/Players
URL:		http://knowthelist.github.io/knowthelist/
Source:		%{name}-%{version}.tar.xz

BuildRequires:	qttools5
BuildRequires:	%{_lib}qt5concurrent-devel
BuildRequires:	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5sql-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRequires:	%{_lib}qt5xml-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}glib2.0-devel
BuildRequires:	%{_lib}gstreamer1.0-devel
BuildRequires:	%{_lib}taglib-devel

Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	%{_lib}qt5-database-plugin-sqlite

BuildRoot: 	%_tmppath/%name-%version-buildroot

%description
Knowthelist is an awesome party music player.

Features:

  - Easy to use for all party guests.
  - Quick search for tracks in collection.
  - Two players with separate playlists.
  - Mixer with fader, 3 channel EQ and gain.
  - Auto fader and auto gain.
  - Trackanalyser search for song start/end and gain setting.
  - Auto DJ function with multiple filters for random play.
  - Monitor player for pre listen tracks (via 2nd sound card e.g. USB).

%prep
%setup -q


%build
%qmake_qt5 %{name}.pro

%make

%install
%make_install INSTALL_ROOT=%{buildroot}

# added translations files
mkdir -p %{buildroot}%{_datadir}/%{name}/locale
install -m 0644 locale/%{name}*.qm %{buildroot}%{_datadir}/%{name}/locale/

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon May 08 2017 adrianomorselli <adrianomorselli> 2.3.0-1uplos2017
- rebuild for uplos

* Tue Apr 18 2017 Agent Smith <ruidobranco@yahoo.com.br> 2.3.0-1pclos2017
- Created package knowthelist, desktop file changed in source to conform to PCLOS standards.

